#  *******************************************************************************
#  Copyright (c) 2019 Contributors to the Eclipse Foundation
#
#  See the NOTICE file(s) distributed with this work for additional
#  information regarding copyright ownership.
#
#  This program and the accompanying materials are made available under the
#  terms of the Eclipse Public License v. 2.0 which is available at
#  http://www.eclipse.org/legal/epl-2.0.
#
#  SPDX-License-Identifier: EPL-2.0
#  *******************************************************************************
spring:
  flyway:
    enabled: false
    
  datasource:
    hikari:
      connectionTimeout: 20000
      maximumPoolSize: 5

    url: "jdbc:postgresql://openk-spa-db:5432/spa_service"
    username: "spa_service"
    password: "spa_service"

  servlet:
    multipart:
      max-file-size: 40MB
      max-request-size: 40MB


application:
    name: ^project.artifactId^
build:
    version: ^project.version^

server:
  port: 80

jwt:
  tokenHeader: Authorization
  useStaticJwt: false
  staticJwt: x
  
services:
  authNAuth:
    name: authNAuthService
  camunda:
    name: camundaService
  contactdatabase:
    name: contactDatabaseService

authNAuthService:
  ribbon:
    listOfServers: http://openk-others:8080
    
camunda:
  user: spa_service
  pw: spa_service

workflow:
  processDefinitionKey: statement_p
  tenantId: spa
  handleServiceTasks: true


camundaService:
  ribbon:
    listOfServers: http://openk-camunda:8080

contactDatabaseService:
  ribbon:
    listOfServers: http://openk-others:9155

authnauth:
  technical-username: spa_multi
  technical-userpassword: spa_multi


contactDatabase:
  technical-username: spa_multi
  technical-userpassword: spa_multi

feign:
  client:
    config:
      default:
        connectTimeout: 60000
        readTimeout: 60000
cors:
  corsEnabled: false
 
statement:
  compile:
    dateFormatPattern: dd.MM.yyyy
    statementFileName: Statement.pdf
    templatePdf: /app/config/template.pdf
    templateJson: /app/config/template.json
  authorization:
    path: /app/config/authorization.csv
    csv-delimiter: ;

archive:
  basefolder: /app/archive
  statementArchiveFolderName: <t:finishedDate>_<t:id>_Stellungnahme

mail:
  account:
    statement:
       properties: /app/config/mail-statement.properties
    notification:
       properties: /app/config/mail-notification.properties
  newmailcheck: false
  newmailcheckCron: 0 * * * * ?
  configurationPath: /app/config/mailConfig.json

